import edu.stanford.TAP.Abbrev;
import edu.stanford.TAP.Client;
import edu.stanford.TAP.Resource;
import edu.stanford.TAP.XML;

public class mkrGetData
{
    public static void main(String argv[])
    {
	Client tap = new Client("http://tap.stanford.edu/data/");
	Resource answer =
	    tap.GetData("http://tap.stanford.edu/data/Person",
			"http://tap.stanford.edu/data/subClassOf",
			"inverse=yes,includeSubClasses=yes,includeSuperClasses=yes");
	for(int x = 0; x < answer.count(); ++x) {
	    String tapAnswer = answer.item(x).value;
	    String mkrAnswer = XML.SplitNamespace(tapAnswer).tag;
	    System.out.println("  " + mkrAnswer);
	}
    }
}
